# Class BondSet

java.lang.Object
javajs.util.BS
org.jmol.modelset.BondSet

All Implemented Interfaces:
  `Cloneable, JSONEncodable`

public class BondSet extends BS

## Constructor Summary

Constructors
Constructor
Description
`BondSet()`

## Method Summary

Modifier and Type
Method
Description
`int[]`
`getAssociatedAtoms(ModelSet ms)`
`static BondSet`
`newBS(BS bs)`

### Methods inherited from class BS

`and, andNot, cardinality, cardinalityN, clear, clearAll, clearBits, clone, copy, equals, escape, get, hashCode, intersects, isEmpty, length, newN, nextClearBit, nextSetBit, or, set, setBits, setBitTo, size, toJSON, toString, unescape, xor`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### BondSet

public BondSet()

## Method Details

### newBS

public static BondSet newBS(BS bs)

### getAssociatedAtoms

public int[] getAssociatedAtoms(ModelSet ms)